diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/tcl/Makefile.orig PDFlib-Lite-7.0.5/bind/pdflib/tcl/Makefile.orig
--- PDFlib-Lite-7.0.4/bind/pdflib/tcl/Makefile.orig	1970-01-01 01:00:00.000000000 +0100
+++ PDFlib-Lite-7.0.5/bind/pdflib/tcl/Makefile.orig	2010-04-29 15:50:11.000000000 +0200
@@ -0,0 +1,88 @@
+# Makefile for PDFlib's Tcl binding
+# $Id: Makefile,v 1.41.2.16 2009/10/23 09:41:42 rjs Exp $
+
+top_builddir	= ../../..
+
+TARGET=Release_MD_VS6
+
+include ../../../config/mkcommon.inc
+
+PDFWALL		=
+PDFPEDANTIC	=
+DEPLIBS		= $(PDFLIBLINK)
+LIBS		= $(DEPLIBS) $(TCLLIB)
+INCLUDES	= $(PDFLIBINC) $(TCLINCLUDE)
+
+LANG_LIBDIR 	= $(DESTDIR)$(TCLPACKAGEDIR)
+
+_LIBNAME	= pdflib_tcl
+LIBNAME		= pdflib_tcl$(DLL)
+OBJ		= pdflib_tcl$(LO)
+SRC		= pdflib_tcl.c
+
+
+include ../../../config/mkbind.inc
+
+test:: all
+	@-if test -d .libs; then  	\
+	    cp pkgIndex.tcl .libs/; \
+	fi
+	-$(LIBTOOL_EXE) $(TCLBIN) hello.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) image.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) pdfclock.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) chartab.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) invoice.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) businesscard.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) quickreference.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_basic.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_block.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_color.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_graphics.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_image.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_layer.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_pcos.tcl >starter_pcos.txt
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_pdfa.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_pdfmerge.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_pdfx.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_pvf.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_table.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_tagged.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_textflow.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_textline.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_type3font.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_webform.tcl
+	-$(LIBTOOL_EXE) $(TCLBIN) starter_3d.tcl
+
+pdfcheck:
+	../../../progs/pdi/pdfcheck -i ../java/starter.ref -o -
+
+install:: $(LIBNAME)
+	if test ! -d $(LANG_LIBDIR) ; then 	\
+	    mkdir -p $(LANG_LIBDIR);		\
+	    chmod 755 $(LANG_LIBDIR);		\
+	fi
+	$(INSTALL_DATA) pkgIndex.tcl $(LANG_LIBDIR)
+	@-if test -f .libs/libpdflib_tcl.dylib; then			\
+	    $(INSTALL_DATA) .libs/pdflib_tcl.dylib $(LANG_LIBDIR);	\
+	else								\
+	    $(LIBTOOL) --mode=install $(INSTALL_DATA)			\
+		$(LIBNAME) $(LANG_LIBDIR);				\
+	fi
+
+uninstall::
+	@-if test -f .libs/libpdflib_tcl.dylib; then			\
+	    $(LIBTOOL) --mode=uninstall $(RM)				\
+		$(LANG_LIBDIR)/pdflib_tcl.dylib				\
+		$(LANG_LIBDIR)/pkgIndex.tcl;				\
+	else								\
+	    $(LIBTOOL) --mode=uninstall $(RM)				\
+		$(LANG_LIBDIR)/$(LIBNAME)				\
+		$(LANG_LIBDIR)/pkgIndex.tcl;				\
+	fi
+	$(RM) $(LANG_LIBDIR)
+
+clean::
+	$(RM) hello.pdf image.pdf pdfclock.pdf chartab.pdf invoice.pdf
+	$(RM) businesscard.pdf quickreference.pdf
+
+# Automatically generated dependencies
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/tcl/pkgIndex.tcl PDFlib-Lite-7.0.5/bind/pdflib/tcl/pkgIndex.tcl
--- PDFlib-Lite-7.0.4/bind/pdflib/tcl/pkgIndex.tcl	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/tcl/pkgIndex.tcl	2010-04-29 15:50:03.000000000 +0200
@@ -8,4 +8,4 @@
 # script is sourced, the variable $dir must contain the
 # full path name of this file's directory.
 
-package ifneeded pdflib 7.0.4 [list load [file join $dir pdflib_tcl[info sharedlibextension]]]
+package ifneeded pdflib 7.0.5 [list load [file join $dir pdflib_tcl[info sharedlibextension]]]
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/tcl/starter_type3font.tcl PDFlib-Lite-7.0.5/bind/pdflib/tcl/starter_type3font.tcl
--- PDFlib-Lite-7.0.4/bind/pdflib/tcl/starter_type3font.tcl	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/tcl/starter_type3font.tcl	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: starter_type3font.tcl,v 1.1.2.2 2008/01/10 12:08:01 kurt Exp $
+# $Id: starter_type3font.tcl,v 1.1.2.3 2009/11/18 00:16:14 rjs Exp $
 #
 # Hide the exec to Tcl but not to the shell by appending a backslash\
 exec tclsh "$0" ${1+"$@"}
@@ -48,11 +48,11 @@
 	PDF_end_glyph $p
 	PDF_begin_glyph $p "space" 266 0 0 0 0
 	PDF_end_glyph $p
-	PDF_begin_glyph $p "l" 266 69 0 197 530
+	PDF_begin_glyph $p "l" 266 0 0 266 570
 	PDF_setlinewidth $p 20
 	PDF_setdash $p 0 0
 	set x 197 
-	set y 0 
+	set y 10 
 	PDF_moveto $p $x $y
 	set y [expr $y + 530]
 	PDF_lineto $p $x $y
@@ -63,7 +63,6 @@
 	set x [expr $x + 128]
 	PDF_lineto $p $x $y
 
-	PDF_closepath $p
 	PDF_stroke $p
 	PDF_end_glyph $p
 
diff -uNr PDFlib-Lite-7.0.4/config/mkcommon.inc.in PDFlib-Lite-7.0.5/config/mkcommon.inc.in
--- PDFlib-Lite-7.0.4/config/mkcommon.inc.in	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/config/mkcommon.inc.in	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 # Template to be included from every makefile that creates libs/progs
-# $Id: mkcommon.inc.in,v 1.40.2.14 2008/08/08 01:12:52 rjs Exp $
+# $Id: mkcommon.inc.in,v 1.40.2.15 2009/12/03 11:35:15 rjs Exp $
 # vim: syntax=make noexpandtab
 #
 #
@@ -43,7 +43,10 @@
 
 # build related stuff (configure)
 LDFLAGS		= @LDFLAGS@
-CFLAGS		= @CFLAGS@ @DEFS@ $(PDFWALL) $(PDFPEDANTIC) $(MYCFLAGS) 
+NO_O		= @NO_O@
+PDFOPTIMIZE     = @PDFOPTIMIZE@
+NOOCFLAGS	= @CFLAGS@ @DEFS@ $(PDFWALL) $(PDFPEDANTIC) $(MYCFLAGS) 
+CFLAGS		= $(PDFOPTIMIZE) $(NOOCFLAGS)
 CPPFLAGS	= @CPPFLAGS@ $(INCLUDES)
 CXXFLAGS	= @CXXFLAGS@
 PDFWALL		= @PDFWALL@
diff -uNr PDFlib-Lite-7.0.4/config/mkcommon.inc.win PDFlib-Lite-7.0.5/config/mkcommon.inc.win
--- PDFlib-Lite-7.0.4/config/mkcommon.inc.win	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/config/mkcommon.inc.win	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 # Template to be included from every makefile that creates libs/progs
-# $Id: mkcommon.inc.win,v 1.6.2.23 2009/05/05 09:06:02 rjs Exp $
+# $Id: mkcommon.inc.win-lite,v 1.1.2.1 2010/04/29 13:24:04 rjs Exp $
 # vim: syntax=make noexpandtab
 #
 # Windows version to be used with nmake only
@@ -41,16 +41,19 @@
 # see which compiler we are using
 # this is not perfect, but till now we don't know a better method finding
 # out which compiler is used
-# the VS8 (aka VS 2005) settings are compatible to VS9 (aka VS 2008)
+# the VS8 (aka VS 2005) settings are compatible to VS9 and VS10 (aka VS 2008/10)
 # if we need to make a different setup for VS9 "Framework35Version=v3.5" should
 # be checked
 
-!IF ( "$(FRAMEWORKVERSION)" == "v2.0.50727" )
+!IF ( "$(FRAMEWORKVERSION)" == "v4.0.30319" )
+COMPILER_VERS   = VS8
+!ELSEIF ( "$(FRAMEWORKVERSION)" == "v2.0.50727" )
 COMPILER_VERS   = VS8
 !ELSEIF ( "$(FRAMEWORKVERSION)" == "v1.1.4322" )
 COMPILER_VERS   = VS7
 !ELSE
 COMPILER_VERS   = VS6
+OO_SUFFIX = _VS6
 !ENDIF
 
 
@@ -148,7 +151,7 @@
 #       extern C functions never throw an exception
 # /clr  Common Language Runtime Compilation
 #       Probably has to be changed then used with VS8 (/clr:oldSyntax ??)
-DOTNET_DEFS     = /AI "Release_NET" /D "_WINDLL" /EHsc /clr
+DOTNET_DEFS     = $(DEFS) /D "_WINDLL" /TP /EHa /clr
 COM_DEFS        = /D "_USRDLL" /D "_ATL_STATIC_REGISTRY" \
                   /D "PDFLIB_STATIC" /D "_LIB" /EHsc
 COM_LDFLAGS     = /nologo /base:"0x55310000" /version:7.0 /subsystem:windows \
@@ -179,8 +182,7 @@
 CXXFLAGS = /nologo /MD $(CXX_DEFS) $(DEFS) $(DEFINES) $(INCLUDES) $(MYCFLAGS)
 !ELSEIF "$(TARGET)" == "Release_NET"
 OO     = Release_NET$(OO_SUFFIX)
-#CFLAGS = /MT $(DOTNET_DEFS) $(DEFINES) $(INCLUDES) $(MYCFLAGS)
-CFLAGS = /nologo $(INCLUDES) /O2 /AI "Release" $(WINxxDEF) /D "NDEBUG" /D "COMPILED_FROM_DSP" /D "_WINDLL" /D "_MBCS" /FD /EHsc /MT /Fo"Release_NET/" /Fd"Release_NET/vc70.pdb" /W2 /c /clr /TC
+CFLAGS = /MD $(DOTNET_DEFS) $(DEFINES) $(INCLUDES) $(MYCFLAGS) $(PROGFLAGS) /wd4793
 !ELSE
 # Relase build, the default
 OO     = Release$(OO_SUFFIX)
@@ -251,15 +253,15 @@
 FONTLIBINC      = /I "$(topbuilddir)/libs/font"
 PNGLIBINC       = /I "$(topbuilddir)/libs/png"
 PDCORELIBINC    = /I "$(topbuilddir)/libs/pdcore"
-PDILIBINC       = /I "$(topbuilddir)/libs/pdi"
-PDPAGELIBINC    = /I "$(topbuilddir)/libs/pdpage"
+PDILIBINC       =
+PDPAGELIBINC    =
 PDULIBINC       =
 TETLIBINC       = /I "$(topbuilddir)/libs/tet"
 PCOSLIBINC      = /I "$(topbuilddir)/libs/pcos"
-PLOPLIBINC      = /I "$(topbuilddir)/libs/plop"
+PLOPLIBINC      =
 CLLIBINC        = /I "$(topbuilddir)/libs/cl"
 XMLLIBINC       =
-EXPATLIBINC     = /I "$(topbuilddir)/libs/expat"
+EXPATLIBINC     =
 UTILLIBINC      = /I "$(topbuilddir)/intern/libs/util"
 ATSLIBINC       = /I "$(topbuilddir)/intern/libs/ats"
 ICULIBINC       = /I "$(topbuilddir)/libs/icu"
@@ -285,15 +287,15 @@
 FONTLIBLINK     = $(topbuilddir)/libs/font/$(OO)/libfont$(LA)
 PNGLIBLINK      = $(topbuilddir)/libs/png/$(OO)/libpng$(LA)
 PDCORELIBLINK   = $(topbuilddir)/libs/pdcore/$(OO)/libpdcore$(LA)
-PDILIBLINK      = $(topbuilddir)/libs/pdi/$(OO)/libpdi$(LA)
-PDPAGELIBLINK   = $(topbuilddir)/libs/pdpage/$(OO)/libpdpage$(LA)
+PDILIBLINK      =
+PDPAGELIBLINK   =
 CLLIBLINK       = $(topbuilddir)/libs/cl/$(OO)/libcl$(LA)
 XMLLIBLINK      =
-EXPATLIBLINK    = $(topbuilddir)/libs/expat/$(OO)/libexpat$(LA)
+EXPATLIBLINK    =
 PCOSLINK        = $(topbuilddir)/libs/pcos/$(OO)/libpcos$(LA)
 PCOS_LINK       = $(topbuilddir)/libs/pcos/$(OO)/libpcos_$(LA)
-PLOPLIBLINK     = $(topbuilddir)/libs/plop/$(OO)/libplop$(LA)
-PLOPLIB_LINK    = $(topbuilddir)/libs/plop/$(OO)/libplop_$(LA)
+PLOPLIBLINK     =
+PLOPLIB_LINK    =
 TETLIBLINK      = $(topbuilddir)/libs/tet/$(OO)/libtet$(LA)
 TETLIB_LINK     = $(topbuilddir)/libs/tet/$(OO)/libtet_$(LA)
 PDULIBLINK      =
@@ -305,7 +307,7 @@
 # libraries to link a shared library for the binding; this is special
 # for USS but on normal platforms this defaults to the standard shared libs
 BIND_PDFLIBLINK = $(PDFLIBLINK)
-BIND_PLOPLIBLINK = $(PLOPLIBLINK)
+BIND_PLOPLIBLINK =
 BIND_PCOSLIBLINK = $(PCOSLIBLINK)
 BIND_TETLIBLINK = $(TETLIBLINK)
 
diff -uNr PDFlib-Lite-7.0.4/configure.in PDFlib-Lite-7.0.5/configure.in
--- PDFlib-Lite-7.0.4/configure.in	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/configure.in	2010-04-29 15:50:03.000000000 +0200
@@ -10,7 +10,7 @@
 dnl                                                                            |
 dnl --------------------------------------------------------------------------*/
 
-dnl $Id: configure.in,v 1.235.2.128 2009/06/08 15:36:29 rjs Exp $
+dnl $Id: configure.in,v 1.235.2.146 2010/04/28 13:32:03 rjs Exp $
 dnl
 dnl Process this file with autoconf to produce a configure script.
 dnl
@@ -23,10 +23,10 @@
 AC_INIT(libs/pdcore/pc_config.h)
 
 dnl do not change this (version.sh will do it for you :)
-VERSION="7.0.4p4"
+VERSION="7.0.5"
 PDFLIB_MAJOR=7
 PDFLIB_MINOR=0
-PDFLIB_REVISION=4
+PDFLIB_REVISION=5
 
 AC_SUBST(PDFLIB_MAJOR)
 AC_SUBST(PDFLIB_MINOR)
@@ -36,7 +36,7 @@
 dnl or version numbers! See doc/readme-source-unix.txt for details.
 
 PDFLIB_LTCURRENT=6
-PDFLIB_LTREVISION=4
+PDFLIB_LTREVISION=5
 PDFLIB_LTAGE=0
 
 PLOP_LTCURRENT=1
@@ -63,7 +63,7 @@
 
 # do not remove this second RCS Id as we want to have it in the generated
 # configure script
-# $Id: configure.in,v 1.235.2.128 2009/06/08 15:36:29 rjs Exp $
+# $Id: configure.in,v 1.235.2.146 2010/04/28 13:32:03 rjs Exp $
 # required for the pdflib-config script
 AC_SUBST(PDFLIB_LTCURRENT)
 AC_SUBST(PDFLIB_LTREVISION)
@@ -138,9 +138,18 @@
     WITH_PROFILE=yes
 fi)
 
-if test "$WITH_DEBUG" = "yes"; then
+# detect -O2 (only GCC) and move -O2 to PDFOPTIMIZE so that it can be
+# overwritten somewhere where needed
+if test "x$GCC" != "x"; then
     if test "$CFLAGS" = "-g -O2"; then
-	CFLAGS="-g -DDEBUG"
+        CFLAGS="-g"
+        PDFOPTIMIZE="-O2"
+    fi
+fi
+
+if test "$WITH_DEBUG" = "yes"; then
+    if test "$PDFOPTIMIZE" = "-O2"; then
+        PDFOPTIMIZE="-DDEBUG"
     fi
 fi
 
@@ -168,10 +177,13 @@
 	CFLAGS="$CFLAGS -DAIX -DPDC_PF_AIX"
         WITH_LARGE_FILES=yes
 	if test "$GCC" = ""; then
-	    CFLAGS="$CFLAGS -qthreaded -mxl-compat -D_THREAD_SAFE_ERRNO"
+	    CFLAGS="$CFLAGS -O2 -qthreaded -mxl-compat -D_THREAD_SAFE_ERRNO"
+	    CFLAGS="$CFLAGS -O2"
+	    CXXFLAGS="$CXXFLAGS -O2"
+	    LDFLAGS="$LDFLAGS -O2"
 	else
 	    if test "$ac_sys_release" = "5"; then
-		CFLAGS="$CFLAGS -pthread"
+		CFLAGS="$CFLAGS -O2 -pthread"
 	    fi
 	fi
         if test "$CXX" = "g++"; then
@@ -205,6 +217,9 @@
         fi)
 	if test "$GCC" = ""; then
 	    CFLAGS="$CFLAGS -mt"
+	    CFLAGS="$CFLAGS -O"
+	    CXXFLAGS="$CXXFLAGS -O"
+	    LDFLAGS="$LDFLAGS -O"
 	else
 	    CFLAGS="$CFLAGS -pthreads"
 	fi
@@ -284,6 +299,9 @@
 	    fi
 	else
 	    CFLAGS="$CFLAGS -pthreads"
+	    CFLAGS="$CFLAGS -O"
+	    CXXFLAGS="$CXXFLAGS -O"
+	    LDFLAGS="$LDFLAGS -O"
 	fi
 
         if test "$WITH_64BIT" = "yes"; then
@@ -358,7 +376,13 @@
 	    # add Framework ApplicationServices
 	    LEGACY_ID="-10.4"
 	else
-	    DEVSDK="/Developer/SDKs/MacOSX10.5.sdk"
+	    case $ac_sys_vers in
+	    9.*)
+		DEVSDK="/Developer/SDKs/MacOSX10.5.sdk" ;;
+	    10.*)
+		DEVSDK="/Developer/SDKs/MacOSX10.6.sdk"
+	    ;;
+	    esac
 	fi
 	CPPFLAGS="$CPPFLAGS -I/Developer/Headers/FlatCarbon"
 	LDFLAGS="$LDFLAGS -framework ApplicationServices"
@@ -391,16 +415,26 @@
 		MAC_LDFLAGS="$MAC_LDFLAGS -arch i386"
 	    ;;
 	    x86_64)
-		# we do 64 bit builds on 10.5 only
+		# we do 64 bit builds >= 10.5 only
 		case $ac_sys_vers in
 		9.*)
 		    MAC_CFLAGS="$MAC_CFLAGS -arch x86_64"
 		    MAC_LDFLAGS="$MAC_LDFLAGS -arch x86_64"
+		;;
+		10.*)
+		    MAC_CFLAGS="$MAC_CFLAGS -arch x86_64"
+		    MAC_LDFLAGS="$MAC_LDFLAGS -arch x86_64"
+		;;
 		esac
 	    ;;
 	    ppc)
-		MAC_CFLAGS="$MAC_CFLAGS -arch ppc"
-		MAC_LDFLAGS="$MAC_LDFLAGS -arch ppc"
+		# not on 10.6
+		case $ac_sys_vers in
+		8.*| 9.*)
+		    MAC_CFLAGS="$MAC_CFLAGS -arch ppc"
+		    MAC_LDFLAGS="$MAC_LDFLAGS -arch ppc"
+		;;
+		esac
 	    ;;
 	    ppc64)
 		# we do 64 bit builds on 10.5 only
@@ -412,17 +446,21 @@
 		esac
 	    ;;
 	    universal)
-		MAC_CFLAGS="$MAC_CFLAGS -arch i386 -arch ppc"
-		MAC_LDFLAGS="$MAC_LDFLAGS -arch i386 -arch ppc"
 		case $ac_sys_vers in
+		8.*)
+		    MAC_CFLAGS="$MAC_CFLAGS -arch i386 -arch ppc"
+		    MAC_LDFLAGS="$MAC_LDFLAGS -arch i386 -arch ppc"
+		;;
 		9.*)
-		    MAC_CFLAGS="$MAC_CFLAGS -arch ppc64 -arch x86_64"
-		    MAC_LDFLAGS="$MAC_LDFLAGS -arch ppc64 -arch x86_64"
+		    MAC_CFLAGS="$MAC_CFLAGS arch i386 -arch ppc -arch ppc64 -arch x86_64"
+		    MAC_LDFLAGS="$MAC_LDFLAGS arch i386 -arch ppc -arch ppc64 -arch x86_64"
+		;;
+		10.*)
+		    MAC_CFLAGS="$MAC_CFLAGS -arch i386 -arch x86_64"
+		    MAC_LDFLAGS="$MAC_LDFLAGS -arch i386 -arch x86_64"
 		;;
 		esac
 	    ;;
-	    default)
-	    ;;
 	    *) echo"unknown architecture (--with-macarch)"
 	    ;;
 	esac
@@ -448,13 +486,14 @@
 	   PLATFORM="-DPDF_PLATFORM=\\\"\"Linux-ppc\"\\\""
        fi
        if test "$ac_sys_arch" = "i686" ; then
+	   CFLAGS="$CFLAGS -DPDC_PF_LINUX_IA32"
 	   # add assemblymodule for zlib
 	   FLATE_ASM_OBJ="match\$(LO)"
-	   #CFLAGS="$CFLAGS -DASMV"
 	   CFLAGS="$CFLAGS -DASMV"
 	   AC_SUBST(FLATE_ASM_OBJ)
-
-	   CFLAGS="$CFLAGS -DPDC_PF_LINUX_IA32"
+	   # strange errors with optimizer for some modules on this platform
+	   NO_O="_no-O"
+	   AC_SUBST(NO_O)
        fi
        if test "$ac_sys_arch" = "ia64" ; then
 	   CFLAGS="$CFLAGS -DPDC_PF_LINUX_IA64"
@@ -558,6 +597,12 @@
     TIFFWRITE=""
 fi)
 
+dnl BUILD without SECURITY code
+AC_ARG_ENABLE(security,[  --disable-security      Build without Security Code ],
+if test "$enableval" = "no" ; then
+    CFLAGS="$CFLAGS -DPDF_NOSECURITY_BUILD"
+fi)
+
 # Don't set the EXE suffix, as cygwin builds don't work then
 #AC_EXEEXT
 AC_SUBST(EXEEXT)
@@ -577,6 +622,7 @@
 AC_SUBST(CC)
 AC_SUBST(RM)
 AC_SUBST(TIFFWRITE)
+AC_SUBST(PDFOPTIMIZE)
 
 # --------------------------------------------------------------------
 # 	PDFlib Java binding (JNI)
@@ -920,6 +966,8 @@
     /usr/local/lib/ruby/1.8/i386-freebsd7 	\
     /usr/local/lib/ruby/1.8/universal-darwin8.0 \
     /usr/local/lib/ruby/1.8/powerpc-darwin7.9.0 \
+    /usr/lib/ruby/1.8/universal-darwin9.0	\
+    /usr/lib/ruby/1.8/universal-darwin10.0	\
     "
     for i in $dirs ; do
 	if test -r $i/ruby.h; then
@@ -1280,6 +1328,7 @@
     PDFLIBINC="-I\$(top_builddir)/libs/pdflib"
     if test "$WITH_UNIVERSAL" = "yes"; then
 	PDFLIBLINK="\$(top_builddir)/libs/pdflib/.libs/libs_lib$PDFLIBNAME.al"
+print "UNIVERSAL: .libs/libs_libpdflib.al"
     else
 	PDFLIBLINK="\$(top_builddir)/libs/pdflib/libs_lib$PDFLIBNAME\$(LA)"
     fi
@@ -1507,12 +1556,13 @@
 
 if test "$WITH_LARGE_FILES" = "yes"; then
     dnl activeate the 2GB compiler options
-    CFLAGS="$CFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
     case $ac_sys_system in
     *OS/390*)
-	CFLAGS="$CFLAGS -D_LARGE_FILES=1"
-	;;
-    *)	;;
+	CFLAGS="$CFLAGS -D_LARGE_FILES=1 -D_LARGEFILE_SOURCE" ;;
+    aix*|AIX*)
+	CFLAGS="$CFLAGS -D_LARGE_FILES=1 -D_LARGEFILE_SOURCE" ;;
+    *)
+	CFLAGS="$CFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" ;;
     esac
 else
     if test "$WITHPEDANTIC" = "yes"; then
@@ -1558,40 +1608,6 @@
     TETBINDINGS="$TETBINDINGS java"
     PCOSBINDINGS="$PCOSBINDINGS java"
 fi
-if test "$WITH_PERL" = "yes" ; then
-    # don't add perl to bindings if compiler is not gcc on Solaris
-    # it won't build
-    SKIP_PERLBINDING="no"
-    case $ac_sys_system in
-    SunOS)
-	if test "$GCC" = ""; then
-	    SKIP_PERLBINDING="yes"
-	fi;
-    esac
-    if test "$SKIP_PERLBINDING" = "no"; then
-	BINDINGS="$BINDINGS perl"
-	PLOPBINDINGS="$PLOPBINDINGS perl"
-	TETBINDINGS="$TETBINDINGS perl"
-    fi
-fi
-if test "$WITH_PYTHON" = "yes" ; then
-    BINDINGS="$BINDINGS python"
-fi
-if test "$WITH_RUBY" = "yes" ; then
-    SKIP_RUBBYBINDING="no"
-    case $ac_sys_system in
-    SunOS)
-	if test "$GCC" = ""; then
-	    SKIP_RUBBYBINDING="yes"
-	fi;
-    esac
-    if test "$SKIP_RUBBYBINDING" = "no"; then
-	BINDINGS="$BINDINGS ruby"
-    fi
-fi
-if test "$WITH_TCL" = "yes" ; then
-    BINDINGS="$BINDINGS tcl"
-fi
 
 if test -f progs/Makefile ; then
     PROGSDIR="progs"
@@ -1649,6 +1665,7 @@
     GENERATED_FILES="$GENERATED_FILES config/mkbind.uss_xplink.inc config/mkcommon.uss_xplink.inc config/mklibs.uss_xplink.inc config/mkmainlib.uss_xplink.inc config/mkprogs.uss_xplink.inc config/mkpsubdirs.inc config/mksubdirs.inc"
 else
   if test "$WITH_UNIVERSAL" = "yes"; then
+print "UNIVERSAL: create mklibs.inc.mac"
     GENERATED_FILES="$GENERATED_FILES config/mkbind.inc.mac config/mkcommon.inc.mac config/mklibs.inc.mac config/mkmainlib.inc.mac config/mkprogs.inc config/mkpsubdirs.inc config/mkprogs.inc.mac config/mksubdirs.inc"
   else
     GENERATED_FILES="$GENERATED_FILES config/mkbind.inc config/mkcommon.inc config/mklibs.inc config/mkmainlib.inc config/mkprogs.inc config/mkpsubdirs.inc config/mksubdirs.inc"
@@ -1676,6 +1693,7 @@
 fi
 
 if test "$WITH_UNIVERSAL" = "yes"; then
+print "UNIVERSAL: mv mklibs.inc.mac"
     mv config/mkcommon.inc.mac config/mkcommon.inc
     mv config/mklibs.inc.mac config/mklibs.inc
     mv config/mkmainlib.inc.mac config/mkmainlib.inc
diff -uNr PDFlib-Lite-7.0.4/libs/font/ft_font.c PDFlib-Lite-7.0.5/libs/font/ft_font.c
--- PDFlib-Lite-7.0.4/libs/font/ft_font.c	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/font/ft_font.c	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: ft_font.c,v 1.63.2.14 2008/11/25 10:25:35 kurt Exp $
+/* $Id: ft_font.c,v 1.63.2.16 2010/04/26 09:20:20 kurt Exp $
  *
  * FONT basic font functions
  *
@@ -154,6 +154,7 @@
     }
 }
 
+
 void
 fnt_cleanup_font(pdc_core *pdc, fnt_font *font)
 {
diff -uNr PDFlib-Lite-7.0.4/libs/font/ft_font.h PDFlib-Lite-7.0.5/libs/font/ft_font.h
--- PDFlib-Lite-7.0.4/libs/font/ft_font.h	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/font/ft_font.h	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: ft_font.h,v 1.55.2.7 2008/09/03 18:13:29 kurt Exp $
+/* $Id: ft_font.h,v 1.55.2.8 2010/04/23 09:47:20 kurt Exp $
  *
  * Header file for font handling
  *
@@ -237,6 +237,7 @@
 void fnt_register_errtab(pdc_core *pdc);
 void fnt_init_font(fnt_font *font);
 void fnt_cleanup_font(pdc_core *pdc, fnt_font *font);
+void fnt_cleanup_font_alien(pdc_core *pdc, fnt_font *font);
 void fnt_cleanup_fontimg(pdc_core *pdc, fnt_font *font);
 int fnt_get_glyphid(int code, fnt_font *font);
 int fnt_get_code(int gid, fnt_font *font);
diff -uNr PDFlib-Lite-7.0.4/libs/font/ft_hostfont.c PDFlib-Lite-7.0.5/libs/font/ft_hostfont.c
--- PDFlib-Lite-7.0.4/libs/font/ft_hostfont.c	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/font/ft_hostfont.c	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: ft_hostfont.c,v 1.25.2.18 2008/09/03 18:13:29 kurt Exp $
+/* $Id: ft_hostfont.c,v 1.25.2.21 2010/04/23 09:47:20 kurt Exp $
  *
  * FONT host font handling routines for Windows and Mac
  *
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/Make_objs.inc PDFlib-Lite-7.0.5/libs/pdcore/Make_objs.inc
--- PDFlib-Lite-7.0.4/libs/pdcore/Make_objs.inc	2009-06-08 17:57:25.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/Make_objs.inc	2010-04-29 15:50:03.000000000 +0200
@@ -14,7 +14,7 @@
 	$(OO)$(PATHSEP)pc_ebcdic$(LO)   \
 	$(OO)$(PATHSEP)pc_encoding$(LO) \
 	$(OO)$(PATHSEP)pc_file$(LO)	   \
-	$(OO)$(PATHSEP)pc_geom$(LO)	   \
+	$(OO)$(PATHSEP)pc_geom$(NO_O)$(LO)	   \
 	$(OO)$(PATHSEP)pc_md5$(LO)	   \
 	$(OO)$(PATHSEP)pc_optparse$(LO) \
 	$(OO)$(PATHSEP)pc_output$(LO)   \
@@ -39,7 +39,7 @@
 	$(top_builddir)/libs/pdcore$(PATHSEP)pc_ebcdic$(LO)   \
 	$(top_builddir)/libs/pdcore$(PATHSEP)pc_encoding$(LO) \
 	$(top_builddir)/libs/pdcore$(PATHSEP)pc_file$(LO)	   \
-	$(top_builddir)/libs/pdcore$(PATHSEP)pc_geom$(LO)	   \
+	$(top_builddir)/libs/pdcore$(PATHSEP)pc_geom$(NO_O)$(LO)  \
 	$(top_builddir)/libs/pdcore$(PATHSEP)pc_md5$(LO)	   \
 	$(top_builddir)/libs/pdcore$(PATHSEP)pc_optparse$(LO) \
 	$(top_builddir)/libs/pdcore$(PATHSEP)pc_output$(LO)   \
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/pc_contain.c PDFlib-Lite-7.0.5/libs/pdcore/pc_contain.c
--- PDFlib-Lite-7.0.4/libs/pdcore/pc_contain.c	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/pc_contain.c	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pc_contain.c,v 1.19.2.8 2009/05/29 10:06:59 york Exp $
+/* $Id: pc_contain.c,v 1.19.2.9 2009/08/11 10:09:02 rjs Exp $
  *
  * PDFlib generic container classes
  *
@@ -943,7 +943,7 @@
 	    pdc_bvtr_resize(v->free_mask, v->size);
 	}
 
-	new_chunk->data = pdc_malloc(v->pdc, cs * es, fn);
+	new_chunk->data = (char *)pdc_malloc(v->pdc, cs * es, fn);
 	base = cs * (new_chunk - &v->ctab[0]);
 
 	for (idx = 1; idx < cs; ++idx)
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/pc_core.c PDFlib-Lite-7.0.5/libs/pdcore/pc_core.c
--- PDFlib-Lite-7.0.4/libs/pdcore/pc_core.c	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/pc_core.c	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pc_core.c,v 1.124.2.29 2009/03/13 12:01:23 kurt Exp $
+/* $Id: pc_core.c,v 1.124.2.30 2009/10/01 17:14:18 kurt Exp $
  *
  * PDFlib core services
  *
@@ -375,7 +375,6 @@
     pdc->uniqueno = 0;
 
 
-
 #ifdef PDC_DEBUG
     pdc->pr->hexdump = pdc_true;
 #endif
@@ -442,6 +441,7 @@
     */
     pdc->pr->in_error = pdc_false;
 
+
     return pdc;
 }
 
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/pc_core.h PDFlib-Lite-7.0.5/libs/pdcore/pc_core.h
--- PDFlib-Lite-7.0.4/libs/pdcore/pc_core.h	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/pc_core.h	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pc_core.h,v 1.216.2.21 2009/04/29 12:24:53 york Exp $
+/* $Id: pc_core.h,v 1.216.2.23 2009/10/23 12:59:47 stm Exp $
  *
  * PDFlib core services:
  * - memory management
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/pc_crypt.h PDFlib-Lite-7.0.5/libs/pdcore/pc_crypt.h
--- PDFlib-Lite-7.0.4/libs/pdcore/pc_crypt.h	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/pc_crypt.h	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pc_crypt.h,v 1.42.2.2 2007/03/01 16:29:05 york Exp $
+/* $Id: pc_crypt.h,v 1.42.2.4 2009/10/21 14:28:25 stm Exp $
  *
  * Crypto routines
  *
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/pc_encoding.c PDFlib-Lite-7.0.5/libs/pdcore/pc_encoding.c
--- PDFlib-Lite-7.0.4/libs/pdcore/pc_encoding.c	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/pc_encoding.c	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pc_encoding.c,v 1.151.2.18 2009/03/04 16:18:00 kurt Exp $
+/* $Id: pc_encoding.c,v 1.151.2.20 2009/10/01 17:14:18 kurt Exp $
  *
  * PDFlib in-core encodings and basic encoding functions
  *
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/pc_file.c PDFlib-Lite-7.0.5/libs/pdcore/pc_file.c
--- PDFlib-Lite-7.0.4/libs/pdcore/pc_file.c	2009-06-08 17:57:27.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/pc_file.c	2010-04-29 15:50:04.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pc_file.c,v 1.123.2.49 2009/03/04 16:18:00 kurt Exp $
+/* $Id: pc_file.c,v 1.123.2.50 2009/10/09 09:35:27 kurt Exp $
  *
  * Various file routines
  *
@@ -1201,49 +1201,62 @@
 {
     const char *pathsep = PDC_PATHSEP;
     const char *stemp = NULL;
+    pdc_bool dirhasbom = (dirname != NULL && pdc_is_utf8_bytecode(dirname));
+    pdc_bool basehasbom = (basename != NULL && pdc_is_utf8_bytecode(basename));
+    const char *sdirname = dirname;
+    const char *sbasename = basename;
     size_t len = 0;
 
+    fullname[0] = 0;
+    if (dirhasbom || basehasbom)
+    {
+        len = 3;
+        strcat(fullname, PDC_UTF8_STRING);
+        if (dirhasbom)
+            sdirname = &dirname[3];
+        if (basehasbom)
+            sbasename = &basename[3];
+    }
+
 #ifdef MVS
     pdc_bool lastterm = pdc_false;
 #endif
 
-    if (!dirname || !dirname[0])
+    if (sdirname == NULL || !sdirname[0])
     {
-        len += strlen(basename);
+        len += strlen(sbasename);
         if (len >= PDC_FILENAMELEN)
             goto PDC_FILE_ERROR;
 
-        strcpy(fullname, basename);
+        strcat(fullname, sbasename);
     }
     else
     {
-        fullname[0] = 0;
-
 #ifdef MVS
-        if (strncmp(dirname, PDC_FILEQUOT, 1))
+        if (strncmp(sdirname, PDC_FILEQUOT, 1))
             strcat(fullname, PDC_FILEQUOT);
 #endif
 
-        len += strlen(dirname);
+        len += strlen(sdirname);
         if (len >= PDC_FILENAMELEN)
             goto PDC_FILE_ERROR;
 
-        strcat(fullname, dirname);
+        strcat(fullname, sdirname);
 
 #ifdef VMS
         /* look for logical name or whose result */
-        if(getenv(dirname))
+        if(getenv(sdirname))
             pathsep = PDC_PATHSEP_LOG;
         else if (fullname[strlen(fullname)-1] == ']')
             pathsep = "";
 #endif
 
-        len += strlen(pathsep) + strlen(basename);
+        len += strlen(pathsep) + strlen(sbasename);
         if (len >= PDC_FILENAMELEN)
             goto PDC_FILE_ERROR;
 
         strcat(fullname, pathsep);
-        strcat(fullname, basename);
+        strcat(fullname, sbasename);
 
 #ifdef MVS
         lastterm = pdc_true;
@@ -1282,7 +1295,7 @@
 
     PDC_FILE_ERROR:
 
-    if (!dirname || !dirname[0])
+    if (sdirname == NULL || !sdirname[0])
         stemp = pdc_errprintf(pdc, "%s", basename);
     else
         stemp = pdc_errprintf(pdc, "%s%s%s", dirname, pathsep, basename);
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/pc_output.c PDFlib-Lite-7.0.5/libs/pdcore/pc_output.c
--- PDFlib-Lite-7.0.4/libs/pdcore/pc_output.c	2009-06-08 17:57:28.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/pc_output.c	2010-04-29 15:50:05.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pc_output.c,v 1.144.2.25 2009/02/10 16:46:53 kurt Exp $
+/* $Id: pc_output.c,v 1.144.2.29 2009/10/23 11:28:02 stm Exp $
  *
  * PDFlib output routines
  *
@@ -101,6 +101,9 @@
     MD5_CTX	md5;			/* MD5 digest context for file ID */
     unsigned char id[2][MD5_DIGEST_LENGTH];
     void	*opaque;		/* this will be used to store PDF *p */
+
+
+    /* ------------- extended output control ------------- */
 };
 
 /* ----------- service function to get PDF version string  -------------- */
@@ -571,6 +574,8 @@
     oc->fopenparams     = 0;
     oc->recordsize      = 0;
 #endif
+
+
 } /* pdc_init_outctl */
 
 /*
@@ -594,6 +599,7 @@
     pdc_cleanup_output(out, pdc_false);
 
     out->opaque		= opaque;
+
     out->lastobj	= 0;
 #if defined(MVS) || defined(MVS_TEST)
     out->fopenparams    = oc->fopenparams;
@@ -619,6 +625,8 @@
 
     if (!pdc_init_stream(pdc, out, oc->filename, oc->fp, oc->writeproc))
 	return pdc_false;
+
+
     {
 	/* Write the document header */
 	pdc_printf(out, "%%PDF-%s\n", pdc_get_pdfversion(pdc, compatibility));
@@ -720,6 +728,7 @@
     out->file_offset[obj_id] = pdc_tell_out(out);
     pdc_printf(out, "%ld 0 obj\n", obj_id);
 
+
     return obj_id;
 }
 
@@ -727,6 +736,7 @@
 pdc_alloc_id(pdc_output *out)
 {
 
+
     out->lastobj++;
 
     if (out->lastobj > PDF_MAXINDOBJS)
@@ -977,6 +987,8 @@
     pdc_id	free_id;
     pdc_core *	pdc = out->pdc;
 
+
+
     /* Don't write any object after this check! */
 
     for (i = start; i <= out->lastobj; i++) {
diff -uNr PDFlib-Lite-7.0.4/libs/pdcore/pc_output.h PDFlib-Lite-7.0.5/libs/pdcore/pc_output.h
--- PDFlib-Lite-7.0.4/libs/pdcore/pc_output.h	2009-06-08 17:57:28.000000000 +0200
+++ PDFlib-Lite-7.0.5/libs/pdcore/pc_output.h	2010-04-29 15:50:05.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pc_output.h,v 1.72.2.5 2008/08/25 15:32:20 kurt Exp $
+/* $Id: pc_output.h,v 1.72.2.8 2009/10/23 11:10:12 stm Exp $
  *
  * PDFlib output defines and routines
  *
@@ -139,6 +139,10 @@
     size_t    (*writeproc)(pdc_output *out, void *data, size_t size);
 
     pdc_flush_state flush;
+
+
+
+
 #if defined(MVS) || defined(MVS_TEST)
     const char *fopenparams;            /* additional fopen() parameters */
     int		recordsize;		/* file record size */
